CRMchat APIBeta
Telegram APIAccount

account.getPaidMessagesRevenue

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/account.getPaidMessagesRevenue

Get the number of stars we have received from the specified user thanks to paid messages »; the received amount will be equal to the sent amount multiplied by stars_paid_message_commission_permille divided by 1000.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Get the number of stars we have received from the specified user thanks to paid messages »; the received amount will be equal to the sent amount multiplied by stars_paid_message_commission_permille divided by 1000.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.getPaidMessagesRevenue" \  -H "Content-Type: application/json" \  -d '{    "params": {      "userId": {        "_": "inputUserEmpty"      }    }  }'
{  "result": {    "_": "account.paidMessagesRevenue",    "starsAmount": "string"  }}